//
// Created by lukas on 22.08.20.
//

#include "Temperature.h"

void Temperature::init() {
    dht.begin();
}

double Temperature::getTemp() {
    sensors_event_t event;
    dht.temperature().getEvent(&event);
    if (isnan(event.temperature)) {
        return -1;
    }
    else {
        return event.temperature;
    }
}

double Temperature::getHum() {
    sensors_event_t event;
    dht.humidity().getEvent(&event);
    if (isnan(event.relative_humidity)) {
        return -1;
    }
    else {

       return event.relative_humidity;

    }
}
